From 85c31038b4dc913f9383278a9b4cbef4317db4fa Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:32:30 +0700
Subject: [PATCH 1/4] New package: python-fido2-0.7.0

---
 srcpkgs/python-fido2/template | 30 ++++++++++++++++++++++++++++++
 srcpkgs/python3-fido2         |  1 +
 2 files changed, 31 insertions(+)
 create mode 100644 srcpkgs/python-fido2/template
 create mode 120000 srcpkgs/python3-fido2

diff --git a/srcpkgs/python-fido2/template b/srcpkgs/python-fido2/template
new file mode 100644
index 00000000000..41824e571d8
--- /dev/null
+++ b/srcpkgs/python-fido2/template
@@ -0,0 +1,30 @@
+# Template file for 'python-fido2'
+pkgname=python-fido2
+_pkgname=fido2
+version=0.7.0
+revision=1
+archs=noarch
+wrksrc="${_pkgname}-${version}"
+build_style=python-module
+pycompile_module=${_pkgname}
+hostmakedepends="python-setuptools python3-setuptools"
+depends="python"
+short_desc="Library for FIDO2 functionality - Python2"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/Yubico/python-fido2"
+distfiles="${PYPI_SITE}/f/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=47b02852780849bb4bb698b9727d61970ee77a83eb25715fe7c6235ebd648d87
+
+post_install() {
+	vlicense COPYING
+}
+
+python3-fido2_package() {
+	depends=python3
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense COPYING
+	}
+}
diff --git a/srcpkgs/python3-fido2 b/srcpkgs/python3-fido2
new file mode 120000
index 00000000000..86d44da84f2
--- /dev/null
+++ b/srcpkgs/python3-fido2
@@ -0,0 +1 @@
+python-fido2
\ No newline at end of file

From fc7bd4f065914171b536c4c1524c5b13a478fc75 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:47:21 +0700
Subject: [PATCH 2/4] New package: python-usb-1.0.2

---
 srcpkgs/python-usb/template | 30 ++++++++++++++++++++++++++++++
 srcpkgs/python3-usb         |  1 +
 2 files changed, 31 insertions(+)
 create mode 100644 srcpkgs/python-usb/template
 create mode 120000 srcpkgs/python3-usb

diff --git a/srcpkgs/python-usb/template b/srcpkgs/python-usb/template
new file mode 100644
index 00000000000..e3526bb96fb
--- /dev/null
+++ b/srcpkgs/python-usb/template
@@ -0,0 +1,30 @@
+# Template file for 'python-usb'
+pkgname=python-usb
+_pkgname=pyusb
+version=1.0.2
+revision=1
+archs=noarch
+wrksrc="${_pkgname}-${version}"
+build_style=python-module
+pycompile_module=${_pkgname}
+hostmakedepends="python-setuptools python3-setuptools"
+depends="python"
+short_desc="Python2 library for USB communication"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/pyusb/pyusb"
+distfiles="${PYPI_SITE}/p/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=4e9b72cc4a4205ca64fbf1f3fff39a335512166c151ad103e55c8223ac147362
+
+post_install() {
+	vlicense LICENSE
+}
+
+python3-usb_package() {
+	depends=python3
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE
+	}
+}
diff --git a/srcpkgs/python3-usb b/srcpkgs/python3-usb
new file mode 120000
index 00000000000..79f6e9fcaeb
--- /dev/null
+++ b/srcpkgs/python3-usb
@@ -0,0 +1 @@
+python-usb
\ No newline at end of file

From 96af2d01dc66a70fcd9c5c8f61e53bb2c11e9f20 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:57:34 +0700
Subject: [PATCH 3/4] New package: python-scard-1.9.8

---
 srcpkgs/python-scard/template | 25 +++++++++++++++++++++++++
 srcpkgs/python3-scard         |  1 +
 2 files changed, 26 insertions(+)
 create mode 100644 srcpkgs/python-scard/template
 create mode 120000 srcpkgs/python3-scard

diff --git a/srcpkgs/python-scard/template b/srcpkgs/python-scard/template
new file mode 100644
index 00000000000..165472826b2
--- /dev/null
+++ b/srcpkgs/python-scard/template
@@ -0,0 +1,25 @@
+# Template file for 'python-scard'
+pkgname=python-scard
+_pkgname=pyscard
+version=1.9.8
+revision=1
+wrksrc="${_pkgname}-${version}"
+build_style=python-module
+pycompile_module=${_pkgname}
+hostmakedepends="python-setuptools python3-setuptools swig"
+makedepends="python-devel python3-devel pcsclite-devel"
+depends="python pcsclite"
+short_desc="Python2 library for smartcard"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="LGPL-2.1-or-later"
+homepage="https://pyscard.sourceforge.io/index.html"
+distfiles="${PYPI_SITE}/p/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=f59dc7ee467b210094e64c923e1c7f5e8e9501a672fc0c8f2cd958153e00d095
+
+python3-scard_package() {
+	depends="python3 pcsclite"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+	}
+}
diff --git a/srcpkgs/python3-scard b/srcpkgs/python3-scard
new file mode 120000
index 00000000000..b5840002f7d
--- /dev/null
+++ b/srcpkgs/python3-scard
@@ -0,0 +1 @@
+python-scard
\ No newline at end of file

From 4b6e166cfa6cfe1ec2b5e2acac399df5254e596b Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 11:48:42 +0700
Subject: [PATCH 4/4] New package: yubikey-manager-3.0.0

---
 srcpkgs/yubikey-manager/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/yubikey-manager/template

diff --git a/srcpkgs/yubikey-manager/template b/srcpkgs/yubikey-manager/template
new file mode 100644
index 00000000000..7cab8c4a93b
--- /dev/null
+++ b/srcpkgs/yubikey-manager/template
@@ -0,0 +1,19 @@
+# Template file for 'yubikey-manager'
+pkgname=yubikey-manager
+version=3.0.0
+revision=1
+archs=noarch
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="libu2f-host python3-fido2 python3-openssl python3-usb python3-scard
+python3-click python3-cryptography python3-six pcsc-ccid"
+short_desc="Library and CLI tools to configure YubiKey"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://developers.yubico.com/yubikey-manager/"
+distfiles="https://developers.yubico.com/${pkgname}/Releases/${pkgname}-${version}.tar.gz"
+checksum=815746ad93780884a0ceb8cb4569a902f2317511b3a41ceead8f9be0a9b1f220
+
+post_install() {
+	vlicense COPYING
+}
